Module java.desktop
Package javax.swing.plaf.basic

# Class BasicBorders.SplitPaneBorder

java.lang.Object
javax.swing.plaf.basic.BasicBorders.SplitPaneBorder

All Implemented Interfaces:
  `Border`, `UIResource`

Enclosing class:
  BasicBorders

    public static class BasicBorders.SplitPaneBorder
    extends Object
    implements Border, UIResource

Draws the border around the splitpane. To work correctly you should also install a border on the divider (property SplitPaneDivider.border).

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected Color` | `highlight` | The color of highlight
`protected Color` | `shadow` | The color of shadow

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SplitPaneBorder​(Color highlight, Color shadow)` | Constructs a new instance of a `SplitPaneBorder`.

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.border.Border

`getBorderInsets, isBorderOpaque, paintBorder`

## Field Details

### highlight

protected Color highlight
The color of highlight

### shadow

protected Color shadow
The color of shadow

## Constructor Details

### SplitPaneBorder

public SplitPaneBorder​(Color highlight, Color shadow)
Constructs a new instance of a `SplitPaneBorder`.

Parameters:
  `highlight` - a color of highlight
  `shadow` - a color of shadow